Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.unitn.ds.peersim.messages
Class BEBMessage

    java.lang.Object
      it.unitn.ds.peersim.messages.GenericMessage
          it.unitn.ds.peersim.messages.BEBMessage

All Implemented Interfaces:
  Message

    public class BEBMessage

extends GenericMessage

Distributed Systems Course Project

Year: 2009/2010

University of Trento

BEBMessage -. Implements a message extending the GenericMessage class used for the Best Effort Broadcast.

Version:
  1.0
Author:
  Avancini Mattia, Giampaolo Farina
See Also:
  `http://peersim.sourceforge.net/`

Constructor Summary
`BEBMessage(int protocolID, long messageID, peersim.core.Node sender, peersim.core.Node receiver, java.lang.Object payload)` Instantiates a new BEB message.

Method Summary
`java.lang.String` | `toString()` To string.

Methods inherited from class it.unitn.ds.peersim.messages.GenericMessage
`getMessageID, getPayload, getProtocolID, getReceiver, getSender, setReceiver`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BEBMessage

    public BEBMessage(int protocolID,
                      long messageID,
                      peersim.core.Node sender,
                      peersim.core.Node receiver,
                      java.lang.Object payload)

  Instantiates a new BEB message.

  Parameters:
    `protocolID` - the protocol id.
    `messageID` - the message id.
    `sender` - the sender.
    `receiver` - the receiver.
    `payload` - the payload.

Method Detail

### toString

    public java.lang.String toString()

  Description copied from interface: `Message`
  To string.

  Specified by:
    `toString` in interface `Message`
  Overrides:
    `toString` in class `GenericMessage`
  Returns:
    the string
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD